# flask-siwa-doc
自动生成 API 文档并支持 Swagger 和 OpenAPI 规范。它能够根据 Flask 应用程序中定义的路由、视图函数和参数信息，自动创建 API 文档

## Usage

```
pip install flask-siwadoc
```

```
from flask import Flask
from flask_siwadoc import SiwaDoc

app = Flask(__name__)
siwa = SiwaDoc(app)

@app.route('/hello2/<name>')
@siwa.doc()
def hello(name):
    return f'Hello, {name}!'

if __name__ == '__main__':
    app.run(debug=True)

```
其中 `@siwa.doc()` 可以指定参数用户文档生成。

访问：http://localhost/docs?ui=rapidoc ，ui可以指定 ('redoc', 'swagger', 'rapidoc')